## otf2 3.0.2

=== doc/examples/Makefile ===
## -*- mode: makefile -*-

##
## This file is part of the Score-P software (http://www.score-p.org)
##
## Copyright (c) 2014,
## Technische Universitaet Dresden, Germany
##
## This software may be modified and distributed under the terms of
## a BSD-style license.  See the COPYING file in the package base
## directory for details.
##

ALL_SERIAL = \
    otf2_reader_example \
    otf2_writer_example

ALL_MPI = \
    otf2_mpi_reader_example \
    otf2_mpi_reader_example_cc \
    otf2_mpi_writer_example

ALL_OPENMP = \
    otf2_openmp_writer_example

ALL_PTHREAD = \
    otf2_pthread_writer_example

all: $(ALL_SERIAL) $(ALL_MPI) $(ALL_OPENMP) $(ALL_PTHREAD)

serial: $(ALL_SERIAL)

mpi: $(ALL_MPI)

openmp: $(ALL_OPENMP)

pthread: $(ALL_PTHREAD)

otf2_reader_example.o: otf2_reader_example.c
	gcc -std=c99 `otf2-config --cflags` \
            -c otf2_reader_example.c \
            -o otf2_reader_example.o

otf2_reader_example: otf2_reader_example.o
	gcc otf2_reader_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_reader_example

otf2_writer_example.o: otf2_writer_example.c
	gcc -std=c99 `otf2-config --cflags` \
            -c otf2_writer_example.c \
            -o otf2_writer_example.o

otf2_writer_example: otf2_writer_example.o
	gcc otf2_writer_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_writer_example

otf2_mpi_reader_example.o: otf2_mpi_reader_example.c
	mpicc -std=c99 `otf2-config --cflags` \
            -c otf2_mpi_reader_example.c \
            -o otf2_mpi_reader_example.o

otf2_mpi_reader_example: otf2_mpi_reader_example.o
	mpicc otf2_mpi_reader_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_mpi_reader_example

otf2_mpi_reader_example_cc.o: otf2_mpi_reader_example.cc
	mpic++ `otf2-config --cflags` \
            -c otf2_mpi_reader_example.cc \
            -o otf2_mpi_reader_example_cc.o

otf2_mpi_reader_example_cc: otf2_mpi_reader_example_cc.o
	mpic++ otf2_mpi_reader_example_cc.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_mpi_reader_example_cc

otf2_mpi_writer_example.o: otf2_mpi_writer_example.c
	mpicc -std=c99 `otf2-config --cflags` \
            -c otf2_mpi_writer_example.c \
            -o otf2_mpi_writer_example.o

otf2_mpi_writer_example: otf2_mpi_writer_example.o
	mpicc otf2_mpi_writer_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_mpi_writer_example

otf2_openmp_writer_example.o: otf2_openmp_writer_example.c
	gcc -std=c99 -fopenmp `otf2-config --cflags` \
            -c otf2_openmp_writer_example.c \
            -o otf2_openmp_writer_example.o

otf2_openmp_writer_example: otf2_openmp_writer_example.o
	gcc -fopenmp otf2_openmp_writer_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_openmp_writer_example

otf2_pthread_writer_example.o: otf2_pthread_writer_example.c
	gcc -std=c99 -pthread `otf2-config --cflags` \
            -c otf2_pthread_writer_example.c \
            -o otf2_pthread_writer_example.o

otf2_pthread_writer_example: otf2_pthread_writer_example.o
	gcc -pthread otf2_pthread_writer_example.o \
            `otf2-config --ldflags` \
            `otf2-config --libs` \
            -o otf2_pthread_writer_example

clean:
	$(RM) $(ALL) $(ALL_MPI) $(ALL_OPENMP) $(ALL_PTHREAD) *.o

## otf2 3.0

=== debian/changelog ===
otf2 (3.0-3) unstable; urgency=medium

  * patches/rename: Fix -lotf2 into -lopen-trace-format2 in otf2-backend.pc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 11:35:39 +0200

otf2 (3.0-2) unstable; urgency=medium

  * patches/CFLAGS: replace with passing CFLAGS explicitly in debian/rules,
    upstream thinks that's easy enough.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Aug 2022 20:13:41 +0200

otf2 (3.0-1) unstable; urgency=low

  * Initial release (Closes: #837731, #974002)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Aug 2022 19:34:24 +0200

=== debian/control ===
Source: otf2
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, dh-exec,
  uncrustify,
  doxygen,
  graphviz,
  texlive-latex-base,
  texlive-binaries,
  python3-all,
  python3-jinja2,
  python3-sphinx,
  python3-six,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.vi-hps.org/projects/score-p
Vcs-Git: https://salsa.debian.org/debian/otf2.git
Vcs-Browser: https://salsa.debian.org/debian/otf2

Package: otf2-tools
Section: science
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Trace Format support library - tools
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains programs to manipulate otf files.

Package: libopen-trace-format2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
Description: Open Trace Format support library - development files
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains development files to compile against
 libopen-trace-format.

Package: libotf2-trace-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-dev
Description: Open Trace Format support library - compatibility symlinks
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains compatibility symlinks to make -lotf2 link with
 libopen-trace-format2-dev.  This should however be avoided and use
 pkg-config otf2 instead.

Package: libopen-trace-format2-10
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Trace Format support library - shared library
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains the libotf shared library.

Package: python3-otf2
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Open Trace Format support library - Python3 bindings
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains the libotf Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Force automake to be verbose
export V=1

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	# Make sure to regenerate from templates
	python3 -X pycache_prefix=debian/tmp < debian/drop-generated.py

override_dh_autoreconf:
	dh_autoreconf debian/autogen

override_dh_auto_configure:
	dh_auto_configure -- \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" FFLAGS="$(FFLAGS)" FCFLAGS="$(FCFLAGS)" \
		--enable-backend-test-runs

override_dh_auto_build:
	dh_auto_build -- generate=true

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python*/site-packages/_otf2/_otf2.la
	rm -fr debian/tmp/usr/share/otf2/python/otf2/__pycache__
	rm -fr debian/tmp/usr/share/doc/otf2/python/doctrees

# the otf2 module explicitly loads _otf2.so, thus --no-ext-rename :/
override_dh_python3:
	dh_python3 --no-ext-rename

## otf2 3.0.2

=== debian/changelog ===
otf2 (3.0.2-2) unstable; urgency=medium

  * patches/afs_gcc_atomic_builtins: Fix build on architectures where
    libatomic is needed (Closes: Bug#1033672)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 31 Mar 2023 21:39:48 +0200

otf2 (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/autoreconf: Upstreamed.
    - patches/instruction_set: Fix build on non-mainstream archs.
  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Dec 2022 19:24:27 +0100

otf2 (3.0-5) unstable; urgency=medium

  * debian/tests-patches/use_system_otf: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 01:44:44 +0200

otf2 (3.0-4) unstable; urgency=medium

  * control: Make libotf2-trace-dev conflict with any future libotf2-dev,
    upstream does not want to change their name.
  * patches/rename: Make otf2-config use the otf2 name as upstream wants.
  * libopen-trace-format2-dev, libotf2-trace-dev.install: Move to
    libotf2-trace-dev otf2-config accordingly.
  * control: Make libotf2-trace-dev replace+break old
    libopen-trace-format2-dev, accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 01:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: otf2
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
@@ -34,6 +34,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
+Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
  using an ASCII encoding, which supports multiple streams. The libotf2
@@ -46,6 +47,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-dev
+Conflicts: libotf2-dev
+Replaces: libopen-trace-format2-dev (<< 3.0-4)
+Breaks: libopen-trace-format2-dev (<< 3.0-4)
 Description: Open Trace Format support library - compatibility symlinks
  OTF is a standard trace format used by several high-performance tools,
  using an ASCII encoding, which supports multiple streams. The libotf2

## otf2 3.0.3

=== debian/changelog ===
otf2 (3.0.3-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:56 +1100

otf2 (3.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063188

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:08:35 +0000

otf2 (3.0.3-3) unstable; urgency=medium

  * patches/instruction_set: Fix build on riscv.
  * clean: Drop generated files (Closes: Bug#1047592)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Dec 2023 01:28:22 +0100

otf2 (3.0.3-2) unstable; urgency=medium

  * patches/instruction_set: Reintroduce to support 32bit archs without 64bit
    atomic.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Jun 2023 23:44:14 +0200

otf2 (3.0.3-1) unstable; urgency=medium

  * New upstream release.
    - patches/instruction_set: Upstreamed.
    - patches/afs_gcc_atomic_builtins: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Jun 2023 15:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: otf2
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-sequence-python3, dh-exec,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
@@ -33,7 +34,7 @@
 Package: libopen-trace-format2-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10t64 (= ${binary:Version})
 Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
@@ -59,7 +60,10 @@
  libopen-trace-format2-dev.  This should however be avoided and use
  pkg-config otf2 instead.
 
-Package: libopen-trace-format2-10
+Package: libopen-trace-format2-10t64
+Provides: ${t64:Provides}
+Replaces: libopen-trace-format2-10
+Breaks: libopen-trace-format2-10 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## otf2 3.1.1

=== contrib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)

project(otf2
    LANGUAGES C
    HOMEPAGE_URL https://score-p.org
)
set(otf2_VERSION 3.1.1)
set(otf2_MAJOR_VERSION 3)
set(otf2_SOVERSION 10)

include(GNUInstallDirs)

option(WITH_SIONLIB "Build with SIONlib; sionconfig must be in $PATH" ON)

add_library(otf2)
target_include_directories(otf2
PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/../include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/../build-config/common
    ${CMAKE_CURRENT_LIST_DIR}
    ${CMAKE_CURRENT_LIST_DIR}/../src
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include
    ${CMAKE_CURRENT_LIST_DIR}/../common/hash
)

target_compile_definitions(otf2 PRIVATE NOCROSS_BUILD BACKEND_BUILD NDEBUG OTF2_IGNORE_ATTRIBUTE_DEPRECATED)
if(WIN32)
    target_compile_definitions(otf2 PRIVATE WIN32 HAVE_IO_H=1)
endif()

set(otf2_PUBLIC_HEADERS
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Archive.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_AttributeList.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_AttributeValue.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Callbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/otf2_compiler.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Definitions.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_DefReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_DefReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_DefWriter.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Events.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_EventSizeEstimator.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_EvtReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_EvtReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_EvtWriter.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GeneralDefinitions.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalDefReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalDefReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalDefWriter.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalEvtReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalEvtReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalSnapReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_GlobalSnapReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/otf2.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_IdMap.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Marker.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_MarkerReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_MarkerReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_MarkerWriter.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_MPI_Collectives.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_OpenMP_Locks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Pthread_Locks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_SnapReaderCallbacks.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_SnapReader.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_SnapWriter.h
    ${CMAKE_CURRENT_LIST_DIR}/../include/otf2/OTF2_Thumbnail.h
)

target_sources(otf2
    # Headers
PRIVATE
    "${otf2_PUBLIC_HEADERS}"
    ${CMAKE_CURRENT_LIST_DIR}/otf2/OTF2_ErrorCodes.h
    ${CMAKE_CURRENT_LIST_DIR}/config-backend.h
    ${CMAKE_CURRENT_LIST_DIR}/otf2_error_decls.gen.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/config-custom.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/config.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_AnchorFile.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_archive.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_archive_location.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_attic.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_attic_types.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_attribute_list.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_attribute_value.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_Buffer.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_collectives.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_collectives_serial.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_def_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_def_writer.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_events_int.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_evt_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_evt_writer.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_File.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_int.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_none.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_posix.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_none.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_posix.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_types.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_global_definitions.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_global_def_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_global_def_writer.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_global_evt_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_global_snap_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_id_map.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_internal.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_local_definitions.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_lock.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_marker_int.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_snaps.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_snap_reader.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_snap_writer.h
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_thumbnail.h
    ${CMAKE_CURRENT_LIST_DIR}/../build-config/common/config-common.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/hash/jenkins_hash.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/src/exception/normalize_file.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_CStr.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_Debug.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_Error.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_IO.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/utils_package.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_Portability.h
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/include/UTILS_DebugStream.hpp

    # Sources
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_AnchorFile.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_anchor_file_hostid.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_anchor_file_sysinfo.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_anchor_file_timestamp.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_Archive.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_archive_int.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_archive_location.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_attic.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_AttributeList.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_AttributeValue.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_Buffer.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_collectives.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_collectives_serial.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_DefReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_DefWriter.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_events.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_EventSizeEstimator.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_EvtReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_EvtWriter.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_File.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_none.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_posix.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_none.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_posix.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_GlobalDefReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_GlobalDefWriter.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_GlobalEvtReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_GlobalSnapReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_IdMap.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_id_map.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_lock.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_MarkerReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_MarkerWriter.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_Reader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_SnapReader.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_SnapWriter.c
    ${CMAKE_CURRENT_LIST_DIR}/../src/OTF2_Thumbnail.c
    ${CMAKE_CURRENT_LIST_DIR}/../common/hash/jenkins_hash.c
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/src/cstr/UTILS_CStr.c
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/src/exception/UTILS_Error.c
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/src/io/UTILS_IO_GetExe.c
    ${CMAKE_CURRENT_LIST_DIR}/../common/utils/src/io/UTILS_IO_Tools.c
)

if(WITH_SIONLIB)
    execute_process(
        COMMAND sionconfig --gen --threadsafe --cflags
        RESULT_VARIABLE _SIONCONFIG_CFLAGS_FAIL
        OUTPUT_VARIABLE _SIONLIB_CFLAGS
    )
    execute_process(
        COMMAND sionconfig --gen --threadsafe --64 --libs
        RESULT_VARIABLE _SIONCONFIG_LIBS_FAIL
        OUTPUT_VARIABLE _SIONLIB_LDFLAGS
    )

    if(NOT _SIONCONFIG_CFLAGS_FAIL AND NOT _SIONCONFIG_LIBS_FAIL)

        target_compile_definitions(otf2 PRIVATE HAVE_SIONLIB_SUPPORT=1 HAVE_BACKEND_SIONLIB_SUPPORT=1)

        string(REPLACE "\n" "" _SIONLIB_CFLAGS ${_SIONLIB_CFLAGS})
        string(REPLACE " " ";" _SIONLIB_CFLAGS ${_SIONLIB_CFLAGS})
        foreach(_ARG ${_SIONLIB_CFLAGS})
            if(${_ARG} MATCHES "^-I")
                string(REGEX REPLACE "^-I" "" _ARG ${_ARG})
                string(STRIP "${_ARG}" _ARG)
                target_include_directories(otf2 PRIVATE ${_ARG})
            elseif(${_ARG} MATCHES "^-D")
                string(REGEX REPLACE "^-D" "" _ARG ${_ARG})
                string(STRIP "${_ARG}" _ARG)
                target_compile_definitions(otf2 PRIVATE ${_ARG})
            endif()
        endforeach()

        string(REPLACE "\n" "" _SIONLIB_LDFLAGS ${_SIONLIB_LDFLAGS})
        string(REPLACE " " ";" _SIONLIB_LDFLAGS ${_SIONLIB_LDFLAGS})
        foreach(_ARG ${_SIONLIB_LDFLAGS})
            if(${_ARG} MATCHES "^-L")
                string(REGEX REPLACE "^-L" "" _ARG ${_ARG})
                string(STRIP "${_ARG}" _ARG)
                set(_SIONLIB_LINK_DIRS ${_SIONLIB_LINK_DIRS} ${_ARG})
            elseif(${_ARG} MATCHES "^-l")
                string(REGEX REPLACE "^-l" "" _ARG ${_ARG})
                string(STRIP "${_ARG}" _ARG)
                find_library(_SIONLIB_LIB_FROM_ARG NAMES ${_ARG} HINTS ${_SIONLIB_LINK_DIRS} NO_DEFAULT_PATH)
                if(_SIONLIB_LIB_FROM_ARG)
                    set(SIONLIB_LIBRARIES ${SIONLIB_LIBRARIES} ${_SIONLIB_LIB_FROM_ARG})
                endif()
                unset(_SIONLIB_LIB_FROM_ARG CACHE)
            endif()
        endforeach()

        target_link_libraries(otf2 INTERFACE ${SIONLIB_LIBRARIES})
        target_sources(otf2
        PRIVATE
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_sion.c
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_sion.h
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_sion_int.h
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_sion_collectives.c
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_substrate_sion_rank_map.c
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_sion.c
            ${CMAKE_CURRENT_LIST_DIR}/../src/otf2_file_sion.h
        )
        set_target_properties(otf2 PROPERTIES FEATURE_SIONLIB_SUPPORT TRUE)
    else()
        target_compile_definitions(otf2 PRIVATE HAVE_SIONLIB_SUPPORT=0 HAVE_BACKEND_SIONLIB_SUPPORT=0)
        set_target_properties(otf2 PROPERTIES FEATURE_SIONLIB_SUPPORT FALSE)
    endif()
else()

=== doc/examples/Makefile ===
## -*- mode: makefile -*-

##
## This file is part of the Score-P software (http://www.score-p.org)
##
## Copyright (c) 2014, 2023,
## Technische Universitaet Dresden, Germany
##
## This software may be modified and distributed under the terms of
## a BSD-style license.  See the COPYING file in the package base
## directory for details.
##

CC     = gcc
MPICC  = mpicc
MPICXX = mpic++

CFLAGS = -g -O2

OPENMP_CFLAGS  = -fopenmp
PTHREAD_CFLAGS = -pthread

OTF2_CFLAGS  = `otf2-config --cflags`
OTF2_LDFLAGS = `otf2-config --ldflags`
OTF2_LIBS    = `otf2-config --libs`

ALL_SERIAL = \
    otf2_reader_example \
    otf2_writer_example

ALL_MPI = \
    otf2_mpi_reader_example \
    otf2_mpi_reader_example_cc \
    otf2_mpi_writer_example

ALL_OPENMP = \
    otf2_openmp_reader_example \
    otf2_openmp_writer_example

ALL_PTHREAD = \
    otf2_pthread_writer_example

all: $(ALL_SERIAL) $(ALL_MPI) $(ALL_OPENMP) $(ALL_PTHREAD)

serial: $(ALL_SERIAL)

mpi: $(ALL_MPI)

openmp: $(ALL_OPENMP)

pthread: $(ALL_PTHREAD)

otf2_reader_example.o: otf2_reader_example.c
	$(CC) $(CFLAGS) $(OTF2_CFLAGS) -c otf2_reader_example.c -o otf2_reader_example.o

otf2_reader_example: otf2_reader_example.o
	$(CC) $(CFLAGS) otf2_reader_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_reader_example

otf2_writer_example.o: otf2_writer_example.c
	$(CC) $(CFLAGS) $(OTF2_CFLAGS) -c otf2_writer_example.c -o otf2_writer_example.o

otf2_writer_example: otf2_writer_example.o
	$(CC) $(CFLAGS) otf2_writer_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_writer_example

otf2_mpi_reader_example.o: otf2_mpi_reader_example.c
	$(MPICC) $(CFLAGS) $(OTF2_CFLAGS) -c otf2_mpi_reader_example.c -o otf2_mpi_reader_example.o

otf2_mpi_reader_example: otf2_mpi_reader_example.o
	$(MPICC) $(CFLAGS) otf2_mpi_reader_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_mpi_reader_example

otf2_mpi_reader_example_cc.o: otf2_mpi_reader_example.cc
	$(MPICXX) $(OTF2_CFLAGS) -c otf2_mpi_reader_example.cc -o otf2_mpi_reader_example_cc.o

otf2_mpi_reader_example_cc: otf2_mpi_reader_example_cc.o
	$(MPICXX) otf2_mpi_reader_example_cc.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_mpi_reader_example_cc

otf2_mpi_writer_example.o: otf2_mpi_writer_example.c
	$(MPICC) $(CFLAGS) $(OTF2_CFLAGS) -c otf2_mpi_writer_example.c -o otf2_mpi_writer_example.o

otf2_mpi_writer_example: otf2_mpi_writer_example.o
	$(MPICC) $(CFLAGS) otf2_mpi_writer_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_mpi_writer_example

otf2_openmp_writer_example.o: otf2_openmp_writer_example.c
	$(CC) $(CFLAGS) $(OPENMP_CFLAGS) $(OTF2_CFLAGS) -c otf2_openmp_writer_example.c -o otf2_openmp_writer_example.o

otf2_openmp_writer_example: otf2_openmp_writer_example.o
	$(CC) $(CFLAGS) $(OPENMP_CFLAGS) otf2_openmp_writer_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_openmp_writer_example

otf2_openmp_reader_example.o: otf2_openmp_reader_example.c
	$(CC) $(CFLAGS) $(OPENMP_CFLAGS) $(OTF2_CFLAGS) -c otf2_openmp_reader_example.c -o otf2_openmp_reader_example.o

otf2_openmp_reader_example: otf2_openmp_reader_example.o
	$(CC) $(CFLAGS) $(OPENMP_CFLAGS) otf2_openmp_reader_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_openmp_reader_example

otf2_pthread_writer_example.o: otf2_pthread_writer_example.c
	$(CC) $(CFLAGS) $(PTHREAD_CFLAGS) $(OTF2_CFLAGS) -c otf2_pthread_writer_example.c -o otf2_pthread_writer_example.o

otf2_pthread_writer_example: otf2_pthread_writer_example.o
	$(CC) $(CFLAGS) $(PTHREAD_CFLAGS) otf2_pthread_writer_example.o $(OTF2_LDFLAGS) $(OTF2_LIBS) -o otf2_pthread_writer_example

clean:
	$(RM) $(ALL) $(ALL_MPI) $(ALL_OPENMP) $(ALL_PTHREAD) *.o

=== debian/changelog ===
otf2 (3.1.1-3) unstable; urgency=medium

  * patches/rename: Rename in otf2-config too.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Aug 2025 22:58:26 +0200

otf2 (3.1.1-2) unstable; urgency=medium

  * libotf2-trace-dev.install: Install otf2.summary.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Aug 2025 09:35:45 +0200

otf2 (3.1.1-1) unstable; urgency=medium

  * New upstream release.
    - patches/rename, tests-patches/use_system_otf: Rename library from
      libopen-trace-format2 to libopen_trace_format2.
    - control: Rename libopen-trace-format2-10t64 to libopen-trace-format2-10u
      according to library rename.
    - patches/reproducible: Upstreamed.
    - *.install: Drop static libraries.
  * control: Add native qualifiers for the build-python build-deps.
  * rules: Use triplets for compilers.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Aug 2025 00:06:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: otf2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dh-sequence-python3, dh-exec,
+Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
   texlive-latex-base,
   texlive-binaries,
-  python3-all,
-  python3-jinja2,
-  python3-sphinx,
+  python3-all:native,
+  python3-jinja2:native,
+  python3-sphinx:native,
   python3-six,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.vi-hps.org/projects/score-p
 Vcs-Git: https://salsa.debian.org/debian/otf2.git
@@ -34,7 +33,7 @@
 Package: libopen-trace-format2-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10t64 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10u (= ${binary:Version})
 Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
@@ -60,10 +59,7 @@
  libopen-trace-format2-dev.  This should however be avoided and use
  pkg-config otf2 instead.
 
-Package: libopen-trace-format2-10t64
-Provides: ${t64:Provides}
-Replaces: libopen-trace-format2-10
-Breaks: libopen-trace-format2-10 (<< ${source:Version})
+Package: libopen-trace-format2-10u
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Force automake to be verbose
 export V=1
 
+export DEB_HOST_MULTIARCH
+
 %:
-	dh $@ --with=python3
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: tests
Depends: libotf2-trace-dev,
         @builddeps@

=== debian/watch ===
version=4
https://perftools.pages.jsc.fz-juelich.de/cicd/otf2/ https://perftools.pages.jsc.fz-juelich.de/cicd/otf2/tags/otf2-[0-9.]+/otf2-([0-9.]+).tar.gz
